/* Project Handout No. 3 - Exercise No.  1 
   File Name:          IfStatement.java
   Programmer:         Rachel Angelsberg
   Date Last Modified: September 22, 2014

   Problem Statement: This program will read in a statement from the
   		user and, depending on the ending punctuation, will print out 
   		a different response.
   
   Overall Plan (Algorithm - step-by-step plan to make it happen):
   01. Declare variables.
   02. Greet user/ask for input.
   03. Store input in variable.
   04. Check for input statement's ending punctuation.
   05. If statement ends in ? and has even number of characters,
   		print "yes"
   06. If statement ends in ? but has odd number of characters,
   		print "no"
   07. If statement ends in !, print "wow"
   08. If statement ends in anything else, print the default response
   09. Exit program
   
   Classes needed and Purpose (Input, Processing, Output)
   IfStatement - main class
   Scanner - input from keyboard
   System - output results to screen
   String - store line of text
*/

import java.util.*;

public class IfStatement
{
	public static void main (String[] args)
	{
		//declare variables
		String input, yes, no, wow;
		yes = "Yes.";
		no = "No.";
		wow = "Wow!";
		
		//greet user and ask for input
		System.out.println("Hello there.");
		System.out.println("Please enter a line of text, complete" +
			" with ending punctuation.");
		
		//get and store line of text
		Scanner keyboard = new Scanner(System.in);
		input = keyboard.nextLine();
		
		
		//check for input statement's ending punctuation
		//first check to see if the statement ends in a ?
		if ( input.charAt(input.length()-1) == '?' ) {
			
				//if it does, then check to see if there's an even 
				//amount of characters. if there is, print "Yes."
				if ( (input.length() % 2) == 0 ) {
					System.out.println("\n" + yes + "\n");
				
				//if there isn't an even amount of characters,
				//assume there's an odd amount and print "No."
				} else {
					System.out.println("\n" + no + "\n");
				}
				
		//if it doesn't, move on to check to see if it ends in a !
		} else if ( input.charAt(input.length()-1) == '!' ) {
			System.out.println("\n" + wow + "\n");
		
		//if it ends in neither a ? or !, print the default reply
		} else {
			System.out.println("\nYou always say \""+ input + "\"\n");
		}
	}
}